## edu.stanford.nlp.util
Class ByteStreamGobbler

    java.lang.Object
      java.lang.Thread
          edu.stanford.nlp.util.ByteStreamGobbler

All Implemented Interfaces:
  Runnable

    public class ByteStreamGobbler

extends Thread

Stream Gobbler that read and write bytes (can be used to gobble byte based stdout from a process.exec into a file)

Author:
  Angel Chang

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`Thread.State, Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`ByteStreamGobbler(InputStream is, OutputStream out)`
`ByteStreamGobbler(String name, InputStream is, OutputStream out)`
`ByteStreamGobbler(String name, InputStream is, OutputStream out, int bufferSize)`

Method Summary
`InputStream` `getInputStream()`
`OutputStream` `getOutputStream()`
`void` `run()`

Methods inherited from class java.lang.Thread

`activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ByteStreamGobbler

    public ByteStreamGobbler(InputStream is,
                             OutputStream out)

### ByteStreamGobbler

    public ByteStreamGobbler(String name,
                             InputStream is,
                             OutputStream out)

### ByteStreamGobbler

    public ByteStreamGobbler(String name,
                             InputStream is,
                             OutputStream out,
                             int bufferSize)

Method Detail

### getInputStream

    public InputStream getInputStream()

### getOutputStream

    public OutputStream getOutputStream()

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`
  Overrides:
    `run` in class `Thread`

Stanford NLP Group